/*
 * Copyright 2005-2006 Michelle Osmond Licensed under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package message.retriever;

import javax.portlet.PortletRequest;

import message.SessionIDRetriever;

/**
 * Implementation for use when you really only want portlets to communicate
 * within their own webapp (no interference). This uses the portlet session id +
 * context path.
 * 
 * @author Michelle Osmond
 * @version 1.1
 */
public class NamespacedLocalSessionIDRetriever implements SessionIDRetriever
{

    public String getSessionID(PortletRequest request)
    {
        return request.getContextPath() + request.getPortletSession(true).getId();
    }

}
